summaryrefslogtreecommitdiffstats
path: root/openwrt/package/pmacct/files
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-16 02:31:54 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-16 02:31:54 +0000
commitb418a072de49818898dc7c0226f5da285e5c3be9 (patch)
tree2ea8f0cf2e68565de065624a8ebb880c3d63bcba /openwrt/package/pmacct/files
parentf57a147ad85b7efc787714b93fc50eaf06067d64 (diff)
Add pmacct package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@915 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/pmacct/files')
-rw-r--r--openwrt/package/pmacct/files/nfacctd.conf28
-rw-r--r--openwrt/package/pmacct/files/nfacctd.default1
-rw-r--r--openwrt/package/pmacct/files/nfacctd.init22
-rw-r--r--openwrt/package/pmacct/files/pmacctd.conf26
-rw-r--r--openwrt/package/pmacct/files/pmacctd.default1
-rw-r--r--openwrt/package/pmacct/files/pmacctd.init22
6 files changed, 100 insertions, 0 deletions
diff --git a/openwrt/package/pmacct/files/nfacctd.conf b/openwrt/package/pmacct/files/nfacctd.conf
new file mode 100644
index 000000000..a9817b218
--- /dev/null
+++ b/openwrt/package/pmacct/files/nfacctd.conf
@@ -0,0 +1,28 @@
+!
+! nfacctd configuration example
+!
+! debug: true
+daemonize: true
+pidfile: /var/run/nfacctd.pid
+! aggregate_filter[dummy]: src net 192.168.0.0/16
+aggregate: src_host, dst_host
+! plugin_buffer_size: 1024
+! nfacctd_port: 5678
+! nfacctd_time_secs: true
+! nfacctd_time_new: true
+plugins: memory
+imt_buckets: 65537
+imt_mem_pools_size: 65536
+! imt_mem_pools_number: 0
+! plugins: mysql
+! plugins: pgsql
+! sql_db: pmacct
+! sql_table: acct
+! sql_table_version: 2
+! sql_passwd: arealsmartpwd
+! sql_user: pmacct
+! sql_refresh_time: 90
+! sql_optimize_clauses: true
+! sql_history: 10m
+! sql_history_roundoff: mh
+! networks_file: ./networks.example
diff --git a/openwrt/package/pmacct/files/nfacctd.default b/openwrt/package/pmacct/files/nfacctd.default
new file mode 100644
index 000000000..9315b280c
--- /dev/null
+++ b/openwrt/package/pmacct/files/nfacctd.default
@@ -0,0 +1 @@
+OPTIONS="-f /etc/nfacctd.conf"
diff --git a/openwrt/package/pmacct/files/nfacctd.init b/openwrt/package/pmacct/files/nfacctd.init
new file mode 100644
index 000000000..c38c7f14b
--- /dev/null
+++ b/openwrt/package/pmacct/files/nfacctd.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=nfacctd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill -INT $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?
diff --git a/openwrt/package/pmacct/files/pmacctd.conf b/openwrt/package/pmacct/files/pmacctd.conf
new file mode 100644
index 000000000..65c6387ea
--- /dev/null
+++ b/openwrt/package/pmacct/files/pmacctd.conf
@@ -0,0 +1,26 @@
+!
+! pmacctd configuration example
+!
+! debug: true
+interface: vlan1
+daemonize: true
+pidfile: /var/run/pmacctd.pid
+pmacctd_id: 1
+aggregate: src_host,dst_host
+! aggregate: src_net,dst_net
+plugins: memory
+imt_buckets: 65537
+imt_mem_pools_size: 65536
+! imt_mem_pools_number: 0
+! plugins: mysql
+! plugins: pgsql
+! sql_db: pmacct
+! sql_table: acct
+! sql_table_version: 2
+! sql_passwd: arealsmartpwd
+! sql_user: pmacct
+! sql_refresh_time: 90
+! sql_optimize_clauses: true
+! sql_history: 10m
+! sql_history_roundoff: mh
+! networks_file: ./networks.example
diff --git a/openwrt/package/pmacct/files/pmacctd.default b/openwrt/package/pmacct/files/pmacctd.default
new file mode 100644
index 000000000..3c06f085f
--- /dev/null
+++ b/openwrt/package/pmacct/files/pmacctd.default
@@ -0,0 +1 @@
+OPTIONS="-f /etc/pmacctd.conf"
diff --git a/openwrt/package/pmacct/files/pmacctd.init b/openwrt/package/pmacct/files/pmacctd.init
new file mode 100644
index 000000000..0af109500
--- /dev/null
+++ b/openwrt/package/pmacct/files/pmacctd.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=pmacctd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill -INT $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?